---
title: marker-mid
slug: Web/SVG/Attribute/marker-mid
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>marker-mid</code></strong> attribute defines the arrowhead or polymarker that will be drawn at all interior vertices of the given <a href="/en-US/docs/Web/SVG/Element#Shape_elements">shape</a>.</p>

<p>The marker is rendered on every vertex other than the first and last vertices of the <a href="/en-US/docs/Web/SVG/Attribute/d#Path_commands">path data</a>.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>marker-mid</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following seven elements: {{SVGElement("circle")}}, {{SVGElement("ellipse")}}, {{SVGElement("line")}}, {{SVGElement("path")}}, {{SVGElement("polygon")}}, {{SVGElement("polyline")}}, and {{SVGElement("rect")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css notranslate">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[8] notranslate">&lt;svg viewBox="0 0 120 120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;marker id="circle" markerWidth="8" markerHeight="8" refX="4" refY="4"&gt;
        &lt;circle cx="4" cy="4" r="4" stroke="none" fill="#f00"/&gt;
    &lt;/marker&gt;
  &lt;/defs&gt;
  &lt;polyline fill="none" stroke="black"
      points="20,100 40,60 70,80 100,20" marker-mid="url(#circle)"/&gt;
&lt;/svg&gt;
</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>none</code> | <code>&lt;marker-ref&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>none</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>discrete</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>none</code></dt>
 <dd>Indicates that no marker symbol shall be drawn at the given vertices.</dd>
 <dt><code>&lt;marker-ref&gt;</code></dt>
 <dd>This value is a reference to a {{SVGElement("marker")}} element, which will be drawn at the given vertices. If the reference is not valid, then no marker will be drawn.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#MarkerEndProperty", "marker-mid")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#MarkerEndProperty", "marker-mid")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.marker-mid")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("marker")}}</li>
 <li>{{SVGAttr("marker-start")}}</li>
 <li>{{SVGAttr("marker-end")}}</li>
</ul>
